﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Financial
{
    /// <summary>
    /// 团组提成 分页 Dto
    /// </summary>
    public class GroupCommissionDto : DtoBase
    {
        /// <summary>
        /// 出访开始时间
        /// eg:2023-01-01
        /// </summary>
        public string? VisitStartTime  { get; set; }

        /// <summary>
        /// 出访结束时间
        /// eg:2023-12-31
        /// </summary>
        public string? VisitEndTime { get; set; }

        /// <summary>
        /// 员工Id
        /// eg:-1 所有人 or UserId
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string? GroupName { get; set; }
    }

}
