﻿    using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    /// <summary>
    /// 团组状态
    /// 查询Page List
    /// Dto
    /// </summary>
    public class GroupStatusListDto : DtoBase
    {
        /// <summary>
        /// 是否操作完成 
        /// -1 全部 0否 1是
        /// </summary>
        public int IsSure { get; set; }

        /// <summary>
        /// 搜索条件
        /// 团组类型/团队名称/客户名称/客户单位/接团操作人
        /// </summary>
        public string? SearchCriteria { get; set; }
    }

    public class GroupStatusSetOperationCompleteDto
    {
        public int Id { get; set; }
    }
}
