﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    /// <summary>
    /// 费用审核 团组Item
    /// </summary>
    public class ExpenseAuditGroupPageItemsDto: UserPageFuncDtoBase
    {
        public int PageIndex { get; set; }

        public int PageSize { get; set; }

        /// <summary>
        /// 是否操作完成 
        /// -1 全部 0 否 1 是
        /// </summary>
        public int IsSure { get; set; }

        /// <summary>
        /// 搜索条件
        /// 团组类型/团队名称/客户名称/客户单位/接团操作人
        /// </summary>
        public string? SearchCriteria { get; set; }
    }


    public class Search_GrpCreditCardPaymentDto:UserPageFuncDtoBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 费用类型  
        /// </summary>
        public int Label { get; set; } = 0;

        /// <summary>
        /// 审核状态 0/1/2，未审核/审核通过/审核不通过 ,-1:所有
        /// </summary>
        public int AuditStatus { get; set; }
    }

    public class Edit_GrpCreditCardPaymentDto:UserPageFuncDtoBase
    {
        public string CreditIdStr { get; set; }
        public int AuditCode { get; set; }
       
    }
}
