﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{

    public class QueryIOAInitDataDto : PortDtoBase { }


    public class QueryInvitationOfficialActivityDataDto:DtoBase
    {
        /// <summary>
        /// 邀请方国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 邀请方名称
        /// </summary>
        public string UnitName { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 团名
        /// </summary>
        public string Delegation { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        public string Field { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 创建时间(开始)
        /// </summary>
        public string StartCreateTime { get; set; }
        /// <summary>
        /// 创建时间（结束）
        /// </summary>
        public string EndCreateTime { get; set; }
    }
    public class QueryInvitationOfficialActivityByIdDto
    {
        public int Id { get; set; } 
    }
    public class OpInvitationOfficialActivityDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 邀请方国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 邀请方名称
        /// </summary>
        public string UnitName { get; set; }
        /// <summary>
        ///邀请方官网
        /// </summary>
        public string UnitWeb { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        public string Field { get; set; }
        /// <summary>
        /// 邀请方地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 邀请方信息
        /// </summary>
        public string UnitInfo { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 职务
        /// </summary>
        public string Job { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string Tel { get; set; }
        /// <summary>
        /// 电子邮箱
        /// </summary>
        public string Email { get; set; }
        /// <summary>
        /// 微信
        /// </summary>
        public string WeChat { get; set; }
        /// <summary>
        /// fb
        /// </summary>
        public string FaceBook { get; set; }
        /// <summary>
        /// ins
        /// </summary>
        public string Ins { get; set; }
        /// <summary>
        /// 团名
        /// </summary>
        public string Delegation { get; set; }
        /// <summary>
        /// 文件地址
        /// </summary>
        public string FilePath { get; set; }
        /// <summary>
        /// 修改版文件地址
        /// </summary>
        public string SndFilePath { get; set; }
        /// <summary>
        /// 传真号码
        /// </summary>
        public string Fax { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }
}
