﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class OfficialActivitiesByDiIdDto: DtoBase
    {
        public int DiId { get; set; }
    }
    public class OfficialActivitiesDiIdDto
    {
        public int Id { get; set; }

        public int DiId { get; set; }
    }
    public class OpOfficialActivitiesDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 团组ID
        /// </summary>
        public int DiId { get; set; }
        /// <summary>
        /// 邀请方 1  公务方 0 
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 公务单位
        /// </summary>
        public string Client { get; set; }
        /// <summary>
        /// 公务日期
        /// </summary>
        public string Date { get; set; }
        /// <summary>
        /// 精确时间
        /// </summary>
        public string Time { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 联系人职务
        /// </summary>
        public string Job { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string Tel { get; set; }
        /// <summary>
        /// 公务形式
        /// </summary>
        public int OfficialForm { get; set; }
        /// <summary>
        /// 公务方背景
        /// </summary>
        public string Setting { get; set; }
        /// <summary>
        /// 着装要求
        /// </summary>
        public string Dresscode { get; set; }
        /// <summary>
        /// 参会人员
        /// </summary>
        public string Attendees { get; set; }
        /// <summary>
        /// 是否需要翻译
        /// </summary>
        public int IsNeedTrans { get; set; }
        /// <summary>
        /// 翻译人员
        /// </summary>
        public string Translators { get; set; }
        /// <summary>
        /// 翻译语种
        /// </summary>
        public string language { get; set; }
        /// <summary>
        /// 暂定行程
        /// </summary>
        public string Trip { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 是否报批
        /// </summary>
        public int IsSubmitApproval { get; set; }
        /// <summary>
        /// 是否付费
        /// </summary>
        public int IsPay { get; set; }
    }
}
