﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class QueryTicketBlackCodeByDiIdDto
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        public int DiId { get; set; }
    }
    /// <summary>
    /// 根据黑屏代码Id查询数据
    /// </summary>
    public class QueryTicketBlackCodeByIdDto
    {
        public int Id{ get; set; }

        public int DiId { get; set; }
    }
    public class OpTicketBlackCodeDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        ///  团组Id
        /// </summary>
        public int DiId { get; set; }
        /// <summary>
        ///   黑屏代码
        /// </summary>
        public string BlackCode { get; set; }
        /// <summary>
        ///  报价
        /// <summary>
        public string Price { get; set; }
        /// <summary>
        ///  最新报价
        /// <summary>
        public string NowPrice { get; set; }
        /// <summary>
        /// 公务舱单价
        /// </summary>
        public decimal BCPrice { get; set; }
        /// <summary>
        ///经济舱单价
        /// </summary>
        public decimal ECPrice { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
