﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Business
{
    [SugarTable("Bus_MsgPost")]
    public class Bus_MsgPostInfo : EntityBase
    {
        /// <summary>
        /// 发送平台
        /// </summary>
        [SugarColumn(ColumnDescription = "发送平台", IsNullable = false, ColumnDataType = "varchar(30)")]
        public string Source { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        [SugarColumn(ColumnDescription = "团组名称", IsNullable = false, ColumnDataType = "nvarchar(200)")]
        public string TeamNames { get; set; }

        /// <summary>
        /// 短信类型,Dele1:团组结束日期提前2天通知，Dele2:团组开始日期提前7天通知
        /// </summary>
        [SugarColumn(ColumnDescription = "短信类型", IsNullable = false, ColumnDataType = "varchar(30)")]
        public string PostType { get; set; }

        /// <summary>
        /// 目标手机号码
        /// </summary>
        [SugarColumn(ColumnDescription = "目标手机号码", IsNullable = false, ColumnDataType = "varchar(30)")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 发送结果
        /// </summary>
        [SugarColumn(ColumnDescription = "发送结果", IsNullable = false, ColumnDataType = "nvarchar(500)")]
        public string PostResult { get; set; }
    }
}
