﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    [SugarTable("Grp_InsuranceCost")]
    public class Grp_InsuranceCost: EntityBase
    {
        /// <summary>
        /// 保险名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string GName { get; set; }

        /// <summary>
        /// 充值费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal RechargeCost { get; set; }

    }
}
