﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{

    /// <summary>
    /// OP行程单数据
    /// </summary>
    public class Grp_TravelList: EntityBase
    {

        /// <summary>
        ///  团组ID
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Diid { get; set; }

        /// <summary>
        ///  天数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Days { get; set; }

        /// <summary>
        ///  日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string Date { get; set; }

        /// <summary>
        ///  星期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string WeekDay { get; set; }

        /// <summary>
        ///  当日第1个交通工具
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string Traffic_First { get; set; }

        /// <summary>
        ///   当日第2个交通工具
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Varchar(100)")]
        public string Traffic_Second { get; set; }

        /// <summary>
        ///  行程       
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(MAX)")]
        public string Trip { get; set; }

        /// <summary>
        /// 区分属于第几次保存
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Diffgroup { get; set; }

        /// <summary>
        /// 最终确定选择项
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Issel { get; set; }


    }
}
