﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.PersonnelModule
{
    /// <summary>
    /// 人事 工资
    /// 月份设置工作日
    /// </summary>
    [SugarTable("Pm_WageIssueWorkingDay")]
    public class Pm_WageIssueWorkingDay: EntityBase
    {
        /// <summary>
        /// 年月
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string? YearMonth { get; set; }

        /// <summary>
        /// 工资日期 起
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string? StartDate { get; set; }

        /// <summary>
        /// 工资日期 止
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string? EndDate { get; set; }

        /// <summary>
        /// 工作日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Workdays { get; set; }

    }
}
