﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 日历表
    /// </summary>
    [SugarTable("Sys_Calendar")]
    public class Sys_Calendar : EntityBase
    {
        /// <summary>
        /// 年月日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Dt { get; set; }
        /// <summary>
        /// 是否是工作日
        ///  true  false
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "bit")]
        public bool IsWorkDay { get; set; }

        /// <summary>
        /// 是否是节假日
        /// 0 true 1 false
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "bit)")]
        public bool IsHoliDay { get; set; }
        /// <summary>
        /// 节假日名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string HoliName { get; set; }
    }
}
