﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Financial
{
    public class Fin_GroupExtraCostView
    {
        public int RowNumber { get; set; }
        public int Id { get; set; }
        public int DiId { get; set; }
        public string PriceName { get; set; }
        public int PriceType { get; set; }
        public int PriceDetailType { get; set; }
        public string PriceTypeStr { get; set; }
        public string Price { get; set; }
        public int PriceCount { get; set; }
        public string PriceStr { get; set; }
        public string PriceSumStr { get; set; }
        public int CreateUserId { get; set; }
        public string CreateUserIdStr { get; set; }
        public string PriceDt { get; set; }
        public int IsAuditGM { get; set; }
        public string IsAuditGMStr { get; set; }

    }

    public class Fin_GroupExtraCostDetailView
    {
        public int Id { get; set; }
        public int DiId { get; set; }
        public string PriceName { get; set; }
        public decimal Price { get; set; }
        public int PriceCount { get; set; }
        public string PriceDt { get; set; }
        public int PriceCurrency { get; set; }
        public string Payee { get; set; }
        public int OrbitalPrivateTransfer { get; set; }
        public int PayDId { get; set; }
        public int CTDId { get; set; }
        public int PriceType { get; set; }
        public int PriceDetailType { get; set; }
        public decimal Coefficient { get; set; }
        public string Remark { get; set; }

    }

    public class Fin_GroupExtraCostViewDataCount
    {
        public int DataCount { get; set; }
    }

    public class Fin_GroupExtraCostView_List
    {

    }

    public class Fin_GroupExtraCost_ExcelCountView {
        public int PriceType { get; set; }
        public int DataCount { get; set; }
    }

    public class Fin_GroupExtraCost_ExcelView
    {
        public int PriceType { get; set; }
        public string PriceTypeStr { get; set; }
        public string PriceDetailTypeStr { get; set; }
        public DateTime PriceDt { get; set; }
        public string PriceDtStr
        {
            get
            {
                return this.PriceDt.ToString("yyyy-MM-dd");
            }
        }

        public string PriceName { get; set; }
        public decimal Price { get; set; }
        public int PriceCount { get; set; }
        public string Currency { get; set; }
        public decimal PriceSum { get; set; }
        public string Remark { get; set; }
    }
}
