﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    /// <summary>
    /// 团组增减款项返回视图
    /// </summary>
    public class DecreasePaymentsView
    {
        public int Id { get; set; }
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DiId { get; set; }
        /// <summary>
        /// 费用名称
        /// </summary>
        public string PriceName { get; set; }
        /// <summary>
        /// 费用金额
        /// </summary>
        public decimal Price { get; set; }

        /// <summary>
        /// 费用币种
        /// </summary>
        public string Currency { get; set; }
        /// <summary>
        /// 附件地址
        /// </summary>
        public string FilePath { get; set; }
        public string CreateUserName { get; set; }
        public DateTime CreateTime { get; set; }
        public int isAudit { get; set; }
        public int IsPay { get; set; }
    }
}
