﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    /// <summary>
    /// 团组状态
    /// 查询 Page List
    /// View
    /// </summary>
    public class GroupStatusView
    {

        /// <summary>
        /// 主键Id
        /// 团组Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 销售报价号
        /// </summary>
        public string? SalesQuoteNo { get; set; }

        /// <summary>
        /// 团号
        /// </summary>
        public string? TourCode { get; set; }

        /// <summary>
        /// 接团操作人
        /// </summary>
        public string? JietuanOperator { get; set; }

        /// <summary>
        /// 团组等级Id
        /// </summary>
        public int TeamLevId { get; set; }

        /// <summary>
        /// 团组等级 
        /// </summary>
        public string? TeamLev { get; set; }

        /// <summary>
        /// 团组类型Id
        /// </summary>
        public int TeamTypeId { get; set; }

        /// <summary>
        /// 团组类型
        /// </summary>
        public string? TeamType { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string? TeamName { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        public string? ClientName { get; set; }

        /// <summary>
        /// 客户所属公司
        /// </summary>
        public string? ClientUnit { get; set; }

        /// <summary>
        /// 出团日期
        /// </summary>
        public DateTime VisitDate { get; set; }

        /// <summary>
        /// 出行天数
        /// </summary>
        public int VisitDays { get; set; }

        /// <summary>
        /// 出行人数
        /// </summary>
        public int VisitPNumber { get; set; }


        /// <summary>
        /// 是否操作完成 
        /// 0否1是
        /// </summary>
        public int IsSure { get; set; }
    }
}
