﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    /// <summary>
    /// 老OA接团客户名单
    /// </summary>
    public class OA2021_DeleClient
    {
        /// <summary>
        ///  标识
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        ///  团号
        /// </summary>
        public int Diid { get; set; }

        /// <summary>
        ///  名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        ///  姓
        /// </summary>
        public string LastName { get; set; }
        /// <summary>
        ///  拼音姓名
        /// </summary>
        public string Pinyin { get; set; }
        /// <summary>
        ///  单位
        /// </summary>
        public string Company { get; set; }
        /// <summary>
        /// 组团单位
        /// </summary>
        public string GroupUnit { get; set; }
        /// <summary>
        ///  职务
        /// </summary>
        public string Job { get; set; }

        /// <summary>
        ///  手机电话
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        ///  性别
        /// </summary>
        public string Sex { get; set; }
        /// <summary>
        ///  身份证
        /// </summary>
        public string IDcard { get; set; }
        /// <summary>
        ///  护照类型
        /// </summary>
        public string PassprotType { get; set; }

        /// <summary>
        /// 签发国家码
        /// </summary>
        public string passportCountry { get; set; }
        /// <summary>
        ///  护照编号
        /// </summary>
        public string PassportNo { get; set; }
        /// <summary>
        ///  护照签发地
        /// </summary>
        public string IssuePlace { get; set; }
        /// <summary>
        ///  护照签发日期
        /// </summary>
        public string IssueDate { get; set; }

        /// <summary>
        ///  护照有效期
        /// </summary>
        public string ExpiryDate { get; set; }
        /// <summary>
        ///  生日
        /// </summary>
        public string Birthday { get; set; }

        /// <summary>
        ///  舱位类型
        /// </summary>
        public string AirType { get; set; }
        /// <summary>
        ///  舱位备注
        /// </summary>
        public string AirRemark { get; set; }
        /// <summary>
        ///  房型
        /// </summary>
        public string RoomType { get; set; }

        /// <summary>
        ///  备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        ///  记录人
        /// </summary>
        public int OPer { get; set; }

        /// <summary>
        ///  记录时间
        /// </summary>
        public string OPdate { get; set; }

        /// <summary>
        ///  删除标识
        /// </summary>
        public int Isdel { get; set; }

    }
}
