﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.OCR
{
    public class BaiduClientOCRView
    {
        /// <summary>
        /// 姓
        /// </summary>
        public string LastName { get; set; }
        /// <summary>
        /// 名
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// 拼音
        /// </summary>
        public string Pinyin { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        public int Sex { get; set; }
        /// <summary>
        /// 生日
        /// </summary>
        public string Birthday { get; set; } = "";
        /// <summary>
        /// 身份证
        /// </summary>
        public string IDcard { get; set; } = "-";
        /// <summary>
        /// 单位
        /// </summary>
        public string CompanyFullName { get; set; }
        /// <summary>
        /// 职位
        /// </summary>
        public string Job { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string Phone { get; set; }

        ///// <summary>
        ///// 英文名
        ///// </summary>
        //public string NameSpell { get; set; }

        /// <summary>
        /// 仓位类型
        /// </summary>
        public int Berth { get; set; } = 460;

        ///// <summary>
        ///// 仓位备注
        ///// </summary>
        //public string BerthNotes {  get; set; }

        ///// <summary>
        ///// 房间备注
        ///// </summary>
        //public string RoomNotes { get; set; }

        ///// <summary>
        ///// 餐食备注
        ///// </summary>
        //public string MealNotes { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
