﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.PersonnelModule
{
    /// <summary>
    /// 工资月 List
    /// </summary>
    public class WageSheetMonthView
    {
        /// <summary>
        /// 年月
        /// </summary>
        public string YearMonth { get; set; }

        /// <summary>
        /// 开始日期
        /// </summary>
        public string StartDate { get; set; }

        /// <summary>
        /// 结束日期
        /// </summary>
        public string EndDate { get; set; }

        /// <summary>
        /// 当月工作日
        /// </summary>
        public int Workdays { get; set; }
    }

    /// <summary>
    /// 日期内容Info
    /// </summary>
    public class CalendarInfoView
    {
        public int Id { get; set; }

        /// <summary>
        /// 日期 
        /// Eg：yyyy-MM-dd
        /// </summary>
        public string Dt { get; set; }

        /// <summary>
        /// 是否是工作日
        /// </summary>
        public bool IsWorkDay { get; set; }

        /// <summary>
        /// 是否是节假日
        /// </summary>
        public bool IsHoliDay { get; set; }

        /// <summary>
        /// 节假日名称
        /// </summary>
        public string HoliName { get; set; }
    }
}
