﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.QiYeWeChat
{
    /// <summary>
    /// 企业微信 响应基类
    /// </summary>
    public class ResponseBase
    {
        /// <summary>
        /// 出错返回码，为0表示成功，非0表示调用失败
        /// </summary>
        public int errcode { get; set; } = -1;

        /// <summary>
        /// 返回码提示语
        /// </summary>
        public string errmsg { get; set; } = "企业API请求错误!";
    }
}
