﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    /// <summary>
    /// 公司详情
    /// </summary>
    public class CompanyDetailsView
    {
        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string? CompanyName { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string? DepName { get; set; }

        /// <summary>
        /// 岗位Id
        /// </summary>
        public int JobId { get; set; }

        /// <summary>
        /// 岗位名称
        /// </summary>
        public string? JobName { get; set; }
    }

    public class CompanyDetailsView1
    {
        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string? CompanyName { get; set; }

        /// <summary>
        /// 公司下的部门
        /// </summary>
        public List<DepDetailsView> SubDep { get; set; }
    }

    public class DepDetailsView
    {
        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string? DepName { get; set; }


        /// <summary>
        /// 部门下的岗位
        /// </summary>
        public List<JobDetailsView> SubJob { get; set; }
    }

    public class JobDetailsView
    {
        /// <summary>
        /// 岗位Id
        /// </summary>
        public int JobId { get; set; }

        /// <summary>
        /// 岗位名称
        /// </summary>
        public string? JobName { get; set; }
    }
}
