﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    /// <summary>
    /// 默认职位权限 View
    /// </summary>
    public class DefaultPostPageAuthView
    {
        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }

        public List<PostPageAuth> PostPageAuths { get; set; } = new List<PostPageAuth>();

        
    }

    public class PostPageAuth
    {
        /// <summary>
        /// 职位Id
        /// </summary>
        public int PostId { get; set; }

        /// <summary>
        /// PageId
        /// </summary>
        public List<int> PageIds { get; set; } = new List<int>();
    }
}
