﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.QiYeWeChat
{
    /// <summary>
    /// 企业微信 
    /// 请求 access_token dto
    /// </summary>
    public class Access_Token_Request
    {
        /// <summary>
        /// 企业ID
        /// </summary>
        public string corpid { get; set; } = "wwe978bef5495a0728";

        /// <summary>
        /// 应用的凭证密钥
        /// 每个应用有独立的secret，获取到的access_token只能本应用使用，所以每个应用的access_token应该分开来获取
        /// </summary>
        public string? corpsecret { get; set; }
    }
}
