﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.QiYeWeChat
{
    /// <summary>
    /// 企业微信 打卡 
    /// 打卡月报数据 Request
    /// </summary>
    public class Checkin_MonthData_Request
    {
        /// <summary>
        /// 调用接口凭证，必须使用打卡应用的Secret获取access_token
        /// </summary>
        public string? access_token { get; set; }

        /// <summary>
        /// 获取月报的开始时间。0点Unix时间戳
        /// </summary>
        public uint starttime { get; set; }

        /// <summary>
        /// 获取月报的结束时间。0点Unix时间戳
        /// </summary>
        public uint endtime { get; set; }

        /// <summary>
        ///  -
        /// 不少于1字节
        /// 不多于64字节
        /// 可填充个数：1 ~ 100
        /// </summary>
        public List<string>? useridlist { get; set; }
    }
}
