﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class QueryAskDataDto
    {
        /// <summary>
        /// 国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 地区
        /// </summary>
        public string Area { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        public string Field { get; set; }
    }
    public class QueryAskDataByIdDto
    {
        public int id { get; set; }
    }
    public class OpAskDataDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 地区
        /// </summary>
        public string Area { get; set; }
        /// <summary>
        /// 公务方名称
        /// </summary>
        public string UnitName { get; set; }
        /// <summary>
        /// 涉及领域
        /// </summary>
        public string Field { get; set; }
        /// <summary>
        /// 话术范例
        /// </summary>
        public string TalkCase { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
    /// <summary>
    /// 导出请示参数
    /// </summary>
    public class AskAdviceDerive
    {
        public int DiId { get; set; }

        public int[] IdList { get; set; }
    }
}
