﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.District
{
    /// <summary>
    /// 地区 洲际表
    /// </summary>
    [SugarTable("Dis_Intercontinental")]
    public class Dis_Intercontinental :EntityBase
    {
        /// <summary>
        /// 洲际名称 全称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string? FullName { get; set; }
        /// <summary>
        /// 洲际名称 中文
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string? CnShortName { get; set; }

        /// <summary>
        /// 洲际名称 英文
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string? EnShortName { get; set; }
    }
}
