﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组英文资料
    /// </summary>
    [SugarTable("Grp_DelegationEnData")]
    public class Grp_DelegationEnData:EntityBase
    {
        /// <summary>
        ///  区域
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Area { get; set; }

        /// <summary>
        ///  职务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Job { get; set; }

        /// <summary>
        ///  职务英文
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string JobEn { get; set; }

        /// <summary>
        ///  背景
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string DelegationSetting { get; set; }

        /// <summary>
        ///  背景英文
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string DelegationSettingEn { get; set; }
    }
}
