﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{

    /// <summary>
    /// 职务中英对照表
    /// </summary>
    [SugarTable("Res_PositionEnglishComparison")]
    public class Res_PositionEnglishComparison:EntityBase
    {
        /// <summary>
        /// 中文名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string zhName { get; set; }
        /// <summary>
        /// 英文名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string enName { get; set; }
    }
}
