﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Financial
{
    /// <summary>
    /// 财务 - 团组提成 View
    /// </summary>
    public class Fin_GroupCommissionView
    {
    }

    /// <summary>
    /// 财务 - 团组利润 View
    /// </summary>
    public class Fin_GroupProfitInfoView
    {
        /// <summary>
        /// 团组Diid
        /// </summary>
        public int Diid { get; set; }

        /// <summary>
        /// 团组应收款项
        /// </summary>
        public decimal ReceivableFund { get; set; }

        /// <summary>
        /// 团组已收款项
        /// </summary>
        public decimal ReceivedFund { get; set; }

        /// <summary>
        /// 团组退款
        /// </summary>
        public decimal Refund { get; set; }

        /// <summary>
        /// 团组成本费用
        /// </summary>
        public decimal Cost { get; set; }

        /// <summary>
        /// 团组净利润
        /// </summary>
        public decimal RetainedProfits { get; set; }

        /// <summary>
        /// 团组尾款
        /// </summary>
        public decimal FinalPayment { get; set; }
    }
}
