﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class CarTouristCreditCardPaymentView
    {
        /// <summary>
        /// 支付方式
        /// </summary>
        public int PayDId { get; set; }
        /// <summary>
        /// 支付方式
        /// </summary>
        public string PayName { get; set; }
        /// <summary>
        /// 付款金额
        /// </summary>
        public decimal PayMoney { get; set; }
        /// <summary>
        /// 付款币种 数据类型Id
        /// </summary>
        public int PaymentCurrency { get; set; }
        /// <summary>
        /// 付款币种 文本
        /// </summary>
        public string PaymentCurrencyName { get; set; }
        /// <summary>
        /// 此次付款百分比
        /// </summary>
        public decimal PayPercentage { get; set; }
        /// <summary>
        /// 收款方
        /// </summary>
        public string Payee { get; set; }

        /// <summary>
        /// 费用标识
        /// </summary>
        public int OrbitalPrivateTransfer { get; set; }

        /// <summary>
        /// 费用标识文本
        /// </summary>
        public string OrbitalPrivateTransferStr { get; set; }

        /// <summary>
        /// GM是否审核
        /// </summary>
        public int IsAuditGM { get; set; }
    }

    public class CarTouristGuideGroundReservationsContentView
    {
        public int Id { get; set; }
        /// <summary>
        /// 费用项目明细Id
        /// </summary>
        public int SId { get; set; }
        /// <summary>
        /// 费用项目明细
        /// </summary>
        public string SidName { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public decimal Price { get; set; }
        /// <summary>
        /// 费用明细
        /// </summary>
        public string PriceContent { get; set; }

        /// <summary>
        /// 费用日期
        /// </summary>
        public DateTime? DatePrice { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        public int Count { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public int Units { get; set; }
    }
}
