﻿using OASystem.Domain.Entities.Groups;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    /// <summary>
    /// 团组成本
    /// Return View
    /// </summary>
    public class GroupCostParameterView:Grp_GroupCostParameter
    {
    }

    /// <summary>
    /// 团组成本 模块提示 return View
    /// </summary>
    public class GroupCostModulePromptView
    {

        public List<GroupCostModulePromptInfo> ModulePromptInfos { get; set; }
    }

    public class GroupCostModulePromptInfo
    {
        public string CurrencyCode { get; set; }

        public decimal Rate { get; set; }

        /// <summary>
        /// 分段成本 A B
        /// </summary>
        public string CostType { get; set; }

        public string CostTypeStartTime { get; set; }
        public string CostTypeEndTime { get; set; }
        public int CostTypeNumber { get; set; }

        /// <summary>
        /// 单人成本
        /// </summary>
        public decimal IndividualCost { get; set; }

        /// <summary>
        /// 总成本
        /// </summary>
        public decimal TotalCost { get; set; }

        public object Data { get; set; }
    }
}
