﻿using OASystem.Domain.Entities.Groups;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class Grp_CarTouristGuideGroundView
    {
        public int Id { get; set; }
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 地接地区
        /// </summary>
        public string Area { get; set; }

        /// <summary>
        /// 服务公司
        /// </summary>
        public string ServiceCompany { get; set; }

        /// <summary>
        /// 服务导游
        /// </summary>
        public string ServiceGuide { get; set; }

        /// <summary>
        /// 导游地接联系电话
        /// </summary>
        public string ServiceTel { get; set; }

        /// <summary>
        /// Bus名称
        /// </summary>
        public string BusName { get; set; }

        /// <summary>
        /// Bus描述
        /// </summary>
        public string BusDescription { get; set; }

        /// <summary>
        /// 车公司联系电话
        /// </summary>
        /// 
        public string BusTel { get; set; }

        /// <summary>
        /// 服务时间起
        /// </summary>
        public string ServiceStartTime { get; set; }
        /// <summary>
        /// 服务时间止
        /// </summary>
        public string ServiceEndTime { get; set; }
        /// <summary>
        /// 服务报价
        /// </summary>
        public decimal ServiceQuotedPrice { get; set; }
        /// <summary>
        /// 公转私转标识
        /// </summary>
        public int OrbitalPrivateTransfer { get; set; }
        /// <summary>
        /// 服务描述
        /// </summary>
        public string ServiceDescription { get; set; }
        /// <summary>
        /// 公转私转标识
        /// </summary>
        public string OrbitalPrivateTransferStr { get; set; }
        /// <summary>
        /// 币种（设置数据外键编号）
        /// </summary>
        public int CId { get; set; }
        
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 行号
        /// </summary>
        public int RowNumber { get; set; }
        /// <summary>
        /// 此次付款百分百
        /// </summary>
        public decimal PayPercentage { get; set; }
        /// <summary>
        /// 此次付款金额
        /// </summary>
        public decimal PayThenMoney { get; set; }

        public decimal PayMoney { get; set; }
        /// <summary>
        /// 剩余尾款
        /// </summary>
        public decimal RemainingBalance { get; set; }
        /// <summary>
        /// 总经理是否审核
        /// </summary>
        public int IsAuditGM { get; set; }
        /// <summary>
        /// 总经理是否审核
        /// </summary>
        public string IsAuditGMStr { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        public string CurrencyStr { get; set; }

        /// <summary>
        /// 支付方式
        /// </summary>
        public int PayDid { get; set; }
        /// <summary>
        /// 支付方式str
        /// </summary>
        public string PayStrd { get; set; }

        /// <summary>
        /// 费用类型
        /// </summary>
        public string priceTypeStr { get; set; }
        public int IsPay { get; set; }
    }
}
