﻿using OASystem.Domain.Entities.Groups;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class VisaInfoView
    {
        /// <summary>
        /// 行号
        /// </summary>
        public int RowNumber { get; set; }

        public int Id { get; set; }
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DIId { get; set; }
        /// <summary>
        /// 签证客户
        /// </summary>
        public string VisaClient { get; set; }
        /// <summary>
        /// 签证费用
        /// </summary>
        public decimal VisaPrice { get; set; }
        /// <summary>
        /// 总经理是否审核
        /// 0 未审核 1已通过 2未通过
        /// </summary>
        public int IsAuditGM { get; set; }
        /// <summary>
        /// 总经理是否审核
        /// </summary>
        public string IsAuditGMStr { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        public string VisaCurrencyStr { get; set; }
        public int VisaCurrency { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        public int VisaFreeNumber { get; set; }

        public int VisaNumber { get; set; }

        /// <summary>
        /// 签证描述
        /// </summary>
        public string VisaDescription { get; set; }
        public int IsPay { get; set; }
    }

}
