﻿using OASystem.Domain.Entities.Resource;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Resource
{
    public class TicketBlackCodeView:Air_TicketBlackCode
    {
        public string CreateName { get; set; }
    }

    public class OA2014_OfficialActivities
    {
        int id;

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        int diid;
        /// <summary>
        /// 团组ID
        /// </summary>
        public int Diid
        {
            get { return diid; }
            set { diid = value; }
        }

        int dovid;
        /// <summary>
        /// DeleOverView数据ID
        /// </summary>
        public int Dovid
        {
            get { return dovid; }
            set { dovid = value; }
        }
        int type;
        /// <summary>
        /// 0带公务 1不带公务 2纯公务
        ///  邀请方 1  公务方 0 
        /// </summary>
        public int Type
        {
            get { return type; }
            set { type = value; }
        }
        string client;
        /// <summary>
        /// 公务单位
        /// </summary>
        public string Client
        {
            get { return client; }
            set { client = value; }
        }
        string date;
        /// <summary>
        /// 公务日期
        /// </summary>
        public string Date
        {
            get { return date; }
            set { date = value; }
        }
        string time;
        /// <summary>
        /// 精确时间
        /// </summary>
        public string Time
        {
            get { return time; }
            set { time = value; }
        }

        string address;
        /// <summary>
        /// 地址
        /// </summary>
        public string Address
        {
            get { return address; }
            set { address = value; }
        }
        string contact;
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact
        {
            get { return contact; }
            set { contact = value; }
        }


        string job;
        /// <summary>
        /// 联系人职务
        /// </summary>
        public string Job
        {
            get { return job; }
            set { job = value; }
        }

        string tel;
        /// <summary>
        /// 联系电话
        /// </summary>
        public string Tel
        {
            get { return tel; }
            set { tel = value; }
        }
        string form;
        /// <summary>
        /// 公务形式
        /// </summary>
        public string Form
        {
            get { return form; }
            set { form = value; }
        }

        string setting;
        /// <summary>
        /// 公务方背景
        /// </summary>
        public string Setting
        {
            get { return setting; }
            set { setting = value; }
        }
        string dresscode;
        /// <summary>
        /// 着装要求
        /// </summary>
        public string Dresscode
        {
            get { return dresscode; }
            set { dresscode = value; }
        }

        string attendees;
        /// <summary>
        /// 参会人员
        /// </summary>
        public string Attendees
        {
            get { return attendees; }
            set { attendees = value; }
        }


        string isNeedTrans;
        /// <summary>
        /// 是否需要翻译
        /// </summary>
        public string IsNeedTrans
        {
            get { return isNeedTrans; }
            set { isNeedTrans = value; }
        }


        string translators;
        /// <summary>
        /// 翻译人员
        /// </summary>
        public string Translators
        {
            get { return translators; }
            set { translators = value; }
        }


        string language;
        /// <summary>
        /// 翻译语种
        /// </summary>
        public string Language
        {
            get { return language; }
            set { language = value; }
        }

        string trip;
        /// <summary>
        /// 暂定行程
        /// </summary>
        public string Trip
        {
            get { return trip; }
            set { trip = value; }
        }
        int oper;
        /// <summary>
        /// 操作人员
        /// </summary>
        public int Oper
        {
            get { return oper; }
            set { oper = value; }
        }
        string opDate;
        /// <summary>
        /// 日期
        /// </summary>
        public string OpDate
        {
            get { return opDate; }
            set { opDate = value; }
        }
        int isdel;
        /// <summary>
        /// 删除标识
        /// </summary>
        public int Isdel
        {
            get { return isdel; }
            set { isdel = value; }
        }
        /// <summary>
        /// 是否报批
        /// </summary>
        public int IsSubmitApproval { get; set; }
        /// <summary>
        /// 是否付费
        /// </summary>
        public int IsPay { get; set; }

    }
}
