﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    /// <summary>
    /// 数据库 OA2014
    /// 表  Users 
    /// View 
    /// </summary>
    public class OA2014UsersView
    {
        int id;

        /// <summary>
        /// 主键
        /// </summary>
        public int Id
        {
            get { return id; }
            set { id = value; }
        }

        string cnName;

        /// <summary>
        /// 中文姓名
        /// </summary>
        public string CnName
        {
            get { return cnName; }
            set { cnName = value; }
        }

        string enName;

        /// <summary>
        /// 英文姓名
        /// </summary>
        public string EnName
        {
            get { return enName; }
            set { enName = value; }
        }

        string number;

        /// <summary>
        /// 员工号
        /// </summary>
        public string Number
        {
            get { return number; }
            set { number = value; }
        }

        int did;

        /// <summary>
        /// 设置数据类外键
        /// </summary>
        public int Did
        {
            get { return did; }
            set { did = value; }
        }

        string password;

        /// <summary>
        /// 密码
        /// </summary>
        public string Password
        {
            get { return password; }
            set { password = value; }
        }

        int sex;

        /// <summary>
        /// 性别
        /// </summary>
        public int Sex
        {
            get { return sex; }
            set { sex = value; }
        }

        string post;

        /// <summary>
        /// 职位
        /// </summary>
        public string Post
        {
            get { return post; }
            set { post = value; }
        }

        string ext;

        /// <summary>
        /// 分机号
        /// </summary>
        public string Ext
        {
            get { return ext; }
            set { ext = value; }
        }

        string phone;

        /// <summary>
        /// 手机号
        /// </summary>
        public string Phone
        {
            get { return phone; }
            set { phone = value; }
        }

        string urgentPhone;

        /// <summary>
        /// 紧急联络电话
        /// </summary>
        public string UrgentPhone
        {
            get { return urgentPhone; }
            set { urgentPhone = value; }
        }

        string email;

        /// <summary>
        /// 电子邮箱
        /// </summary>
        public string Email
        {
            get { return email; }
            set { email = value; }
        }

        string address;

        /// <summary>
        /// 目前所在地区
        /// </summary>
        public string Address
        {
            get { return address; }
            set { address = value; }
        }

        DateTime edate;

        /// <summary>
        /// 入职日期
        /// </summary>
        public DateTime Edate
        {
            get { return edate; }
            set { edate = value; }
        }

        DateTime rdate;

        /// <summary>
        /// 离职日期
        /// </summary>
        public DateTime Rdate
        {
            get { return rdate; }
            set { rdate = value; }
        }

        int seniority;

        /// <summary>
        /// 工龄
        /// </summary>
        public int Seniority
        {
            get { return seniority; }
            set { seniority = value; }
        }

        string remark;

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark
        {
            get { return remark; }
            set { remark = value; }
        }

        int isDel;

        /// <summary>
        /// 删除标识
        /// </summary>
        public int IsDel
        {
            get { return isDel; }
            set { isDel = value; }
        }

        int company;

        /// <summary>
        /// 所属公司
        /// </summary>
        public int Company
        {
            get { return company; }
            set { company = value; }
        }

        string birthday;

        /// <summary>
        /// 出生日期
        /// </summary>
        public string Birthday
        {
            get { return birthday; }
            set { birthday = value; }
        }
        string iDCard;

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string IDCard
        {
            get { return iDCard; }
            set { iDCard = value; }
        }
        string startWorkDate;
        /// <summary>
        /// 最初参加工作时间
        /// </summary>
        public string StartWorkDate
        {
            get { return startWorkDate; }
            set { startWorkDate = value; }
        }
        string education;

        /// <summary>
        /// 学历
        /// </summary>
        public string Education
        {
            get { return education; }
            set { education = value; }
        }
        string professional;

        /// <summary>
        /// 专业
        /// </summary>
        public string Professional
        {
            get { return professional; }
            set { professional = value; }
        }
        string graduateInstitutions;

        /// <summary>
        /// 毕业院校
        /// </summary>
        public string GraduateInstitutions
        {
            get { return graduateInstitutions; }
            set { graduateInstitutions = value; }
        }
        string theOrAdultEducation;

        /// <summary>
        /// 统招/成教
        /// </summary>
        public string TheOrAdultEducation
        {
            get { return theOrAdultEducation; }
            set { theOrAdultEducation = value; }
        }
        string maritalStatus;
        /// <summary>
        /// 婚姻状况
        /// </summary>
        public string MaritalStatus
        {
            get { return maritalStatus; }
            set { maritalStatus = value; }
        }
        string homeAddress;

        /// <summary>
        /// 家庭地址
        /// </summary>
        public string HomeAddress
        {
            get { return homeAddress; }
            set { homeAddress = value; }
        }
        string usePeriod;
        /// <summary>
        /// 试用期限
        /// </summary>
        public string UsePeriod
        {
            get { return usePeriod; }
            set { usePeriod = value; }
        }
        string workExperience;

        /// <summary>
        /// 工作经历单位
        /// </summary>
        public string WorkExperience
        {
            get { return workExperience; }
            set { workExperience = value; }
        }
        string certificateTime;
        /// <summary>
        /// 证书时间
        /// </summary>
        public string CertificateTime
        {
            get { return certificateTime; }
            set { certificateTime = value; }
        }
        string certificate;

        /// <summary>
        /// 专业培训及资格证书
        /// </summary>
        public string Certificate
        {
            get { return certificate; }
            set { certificate = value; }
        }

    }
}
